List one connection's tools - Spacefast Docs

List one connection's tools

Returns the tools reachable through one connection, each with the effect policy resolves it to and the rule behind that effect.

GET /v1/connectors/connections/{connectionId}/tools

Authorization

Authorization Bearer token · header required

Authorization: Bearer <token> with an API key (sfa_ prefix), an OAuth access token, a session token, or a Space machine credential (sfm_ prefix).

or

Authorization OAuth2 access token · header required

OAuth 2.0 with Spacefast scopes. People use the authorization code flow; machines use client credentials.

Scopes: connectors:read

Path parameters

Query parameters

Responses

200 Response for status 200

default Problem details (RFC 9457)

Any 4xx/5xx response is one application/problem+json document.

Try it

Server

Base URL: https://api.spacefast.com

Authorization

Bearer token
Remember on this device
Include my values in samples

Parameters

Send

Request

cURL
curl -X GET "https://api.spacefast.com/v1/connectors/connections/string/tools?limit=20" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const response = await fetch("https://api.spacefast.com/v1/connectors/connections/string/tools?limit=20", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  }
});
Python
import requests

response = requests.get(
    "https://api.spacefast.com/v1/connectors/connections/string/tools?limit=20",
    headers={
        "Authorization": "Bearer YOUR_TOKEN"
    },
)

Response

200 default

{
  "$schema": "http://example.com",
  "data": [
    {
      "address": "string",
      "name": "string",
      "summary": "string",
      "safety": "read_only",
      "effect": "approve",
      "decidedBy": {
        "ruleId": "string",
        "pattern": "string",
        "owner": "team"
      },
      "inputSchema": {
        "property1": null,
        "property2": null
      }
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "hasMore": true
  }
}

Error Response

{
  "$schema": "http://example.com",
  "type": "string",
  "title": "string",
  "status": -9007199254740991,
  "detail": "string",
  "code": "string",
  "pointer": "string",
  "details": {
    "property1": null,
    "property2": null
  },
  "suggestions": [
    "string"
  ],
  "next": [
    "string"
  ],
  "requestId": "string"
}